
SCM Creator (+Github) - Support #2052

Misleading warning message when creating a (sub)repository

15 Jun 2012 18:10 - Lluís -

Status: Closed Start date: 15 Jun 2012

Priority: Normal Due date: 19 Jun 2012

Assignee: Andriy Lesyuk % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 0.4.0   

Redmine version:  External issue:  

Description

Creating a new repository in project “test”, I used identifier “foo” and path "/scm/git/test.foo”

(in order to exploit redmine’s multiple repository support).

Still, after creation SCM creator complains with “Redmine based authentication can not be used with this repository name.”,

which is not really true (at least when using Redmine.pm with git smart protocol support).

History

#1 - 15 Jun 2012 18:29 - Andriy Lesyuk

- Tracker changed from Bug to Support

- Status changed from New to Open

You may be right... I’m not sure. 

How does Redmine.pm with git smart protocol manages to handle repos with different identifiers? In other words how can I check this to hide the

message?

#2 - 15 Jun 2012 19:24 - Lluís -

I think git smart protocol support is not really involved in that, and Redmine.pm just strips \..* from the end of the repository name in order to accept

projects with multiple repositories. For example, access to http://server/git/project.something is checked against project.

In fact, I’ve tried using SCM creator with a new repository identifier “foo” (for project “test”) and creating repository at "/home/code/git/test.bar”. I can

access http://server/git/test.bar, just because I’m part of project “test”, but http://server/git/test.foo does not exist; so it looks like  the identifier is just a

nice thing to have when watching redmine’s web, but it’s not enforced (as redmine does not have per-repository security policies).

#3 - 19 Jun 2012 23:45 - Andriy Lesyuk

- Due date set to 19 Jun 2012

- Status changed from Open to In Progress

- Assignee set to Andriy Lesyuk

- Target version set to 0.4.0

- % Done changed from 0 to 100

Should be fixed... Can you confirm?

#4 - 20 Jun 2012 00:07 - Lluís -

Works like a charm, thanks.
#5 - 20 Jun 2012 00:31 - Andriy Lesyuk

- Status changed from In Progress to Closed

Thanks
